'use strict';

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _transpile = require('./utils/transpile');

var _transpile2 = _interopRequireDefault(_transpile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sourcePath = process.cwd();
var targetPath = _path2.default.resolve(sourcePath, 'build');

_fsExtra2.default.removeSync(targetPath);

_fsExtra2.default.copySync(sourcePath, targetPath, {
  filter: function filter(filename) {
    return new RegExp('^((?!(/(node_modules|build)(/|$))).)*$', 'i').test(filename);
  }
});

(0, _transpile2.default)(targetPath);

console.log(_chalk2.default.green.bold('Package built'));